Subject: Re: [bug#58310] [PATCH 04/14] gnu: Add python-hatchling-bootstrap.

From: Lars-Dominik Braun <[email-masked]>
Date: Thu, 3 Nov 2022 18:26:12 +0900

Hi,

> The issue here is that many dependencies are from the module (gnu
> packages python-xyz).  Well, moving this python-hatchling-bootstrap and
> the next patch adding python-hatch to python-xyz does not look like the
> correct home.  And dragging these dependencies to python-build neither.
I think hatchling can go to python-build, since it
contains a PEP 517 build system, but hatchling should go to
python-xyz. python-hatchling-bootstrap should not be used anywhere,
but build a proper python-hatchling instead. Also hatchling has no
dependencies. These are for hatch.

The entire patchset should also use the pyproject build system where possible.

Lars